Package proton :: Module handlers :: Class OutgoingMessageHandler

[frames] | no frames]

# Class OutgoingMessageHandler

source code

    object --+
             |
       Handler --+
                 |
                OutgoingMessageHandler

A utility for simpler and more intuitive handling of delivery events related to outgoing i.e. sent messages.

Instance Methods

__init__(self, auto_settle=True, delegate=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

on_link_flow(self, event) | source code

on_delivery(self, event) | source code

on_sendable(self, event) Called when the sender link has credit and messages can therefore be transferred. | source code

on_accepted(self, event) Called when the remote peer accepts an outgoing message. | source code

on_rejected(self, event) Called when the remote peer rejects an outgoing message. | source code

on_released(self, event) Called when the remote peer releases an outgoing message. | source code

on_settled(self, event) Called when the remote peer has settled the outgoing message. | source code

Inherited from `Handler`: `handlers`, `on_unhandled` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, auto_settle=True, delegate=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### on_released(self, event)

source code

Called when the remote peer releases an outgoing message. Note that this may be in response to either the RELEASE or MODIFIED state as defined by the AMQP specification.

### on_settled(self, event)

source code

Called when the remote peer has settled the outgoing message. This is the point at which it shouod never be retransmitted.